Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.event
Class SolverPhaseLifecycleListenerAdapter

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.phase.event.SolverPhaseLifecycleListenerAdapter

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  AbstractTermination, BestSolutionRecaller, PlanningEntitySelector, PlanningValueSelector

    public abstract class SolverPhaseLifecycleListenerAdapter

extends SolverLifecycleListenerAdapter
implements SolverPhaseLifecycleListener

Constructor Summary
`SolverPhaseLifecycleListenerAdapter()`

Method Summary
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### SolverPhaseLifecycleListenerAdapter

    public SolverPhaseLifecycleListenerAdapter()

Method Detail

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Specified by:
    `stepStarted` in interface `SolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Specified by:
    `stepEnded` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.